<?php

namespace domain\Communication\AutomaticEmail;

use domain\_\AbstractBuilder;
use domain\_\StatusInterface;
use domain\Producer\Producer\Producer;

class AutomaticEmailBuilder extends AbstractBuilder
{
    public function instanciateAutomaticEmail(Producer $producer): AutomaticEmail
    {
        $automaticEmail = new AutomaticEmail();
        $automaticEmail->setProducer($producer);
        $automaticEmail->setStatus(StatusInterface::STATUS_ONLINE);
        return $automaticEmail;
    }
}